/*
 * irreco - Ir Remote Control
 * Copyright (C) 2007  Arto Karppinen (arto.karppinen@iki.fi)
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */
 
/*
 * DO NOT INCLUDE THIS FILE, INCLUDE BUTTON.H INSTEAD.
 */
#ifndef __IRRECO_BUTTON_H__
#include "irreco_button.h"
#endif



/*=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-*/
/* Datatypes                                                                  */
/*=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-*/
#ifndef __IRRECO_BUTTON_STYLE_H__
#define __IRRECO_BUTTON_STYLE_H__

struct _IrrecoButtonStyle {
	IrrecoData *irreco_data;
	gchar *name;			/* Name of button style. For the user.*/
	gchar *up;			/* Location up up image. */
	gchar *down;			/* Location down up image. */
	gboolean allow_text;		/* Can text be added to the button. */
	gboolean editable;		/* IGNORED. */
	gchar *text_format_up;		/* Text format. */
	gchar *text_format_down;	/* Text format when clicked. */
	gint text_padding;		/* Space between button text and button edges. */
};



/*=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-*/
/* Prototypes                                                                 */
/*=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-*/
IrrecoButtonStyle* irreco_button_style_create(IrrecoData * irreco_data, gchar *name, 
					gchar *up, gchar *down, 
					gboolean allow_text, gboolean editable);
void irreco_button_style_destroy(IrrecoButtonStyle * button_style);
/*void irreco_button_style_destroy_all(IrrecoData * irreco_data);*/
void irreco_button_style_free(IrrecoButtonStyle * button_style);
gboolean irreco_button_style_read_dir(IrrecoData * irreco_data, const gchar *path, 
				   gboolean editable);
IrrecoButtonStyle* irreco_button_style_create_from_file(IrrecoData * irreco_data, 
						  const gchar *file, 
						  gboolean editable); 



#endif /* __IRRECO_BUTTON_STYLE_H__ */

